curl --request GET \
--url https://sandbox.zapyd.com/pos/api/v1/payout/fetch-rate \
--header 'X-API-KEY: <api-key>' \
--header 'X-SIGNATURE: <api-key>' \
--header 'X-TIMESTAMP: <api-key>'import requests
url = "https://sandbox.zapyd.com/pos/api/v1/payout/fetch-rate"
headers = {
"X-API-KEY": "<api-key>",
"X-TIMESTAMP": "<api-key>",
"X-SIGNATURE": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-API-KEY': '<api-key>',
'X-TIMESTAMP': '<api-key>',
'X-SIGNATURE': '<api-key>'
}
};
fetch('https://sandbox.zapyd.com/pos/api/v1/payout/fetch-rate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Success",
"data": {
"asset": "USDT",
"fiat": "INR",
"rate": 87.2,
"network": "TRON",
"fees": {
"wire": {
"type": "banking_fee",
"value": 0.9,
"unit": "flat"
}
}
}
}{
"status": false,
"message": "Bad Request",
"data": null,
"err_code": "REQ_FIELD_MISSING",
"errors": {
"asset": [
"This field is required."
],
"amount": [
"This field is required."
]
}
}{
"status": false,
"message": "Internal Server Error",
"data": null,
"err_code": "SYS_INTERNAL_ERROR",
"errors": "Unexpected error occurred. Please try again later."
}Fetch Rate
Returns the current crypto-to-fiat rate for payouts.
| API Status Code | Response | Reason |
|---|---|---|
| 500 | Internal Server Error. | Internal Server Error |
Authorizations
API Key for authentication
Current timestamp in seconds since epoch
HMAC SHA256 signature of the request encoded in Base64
Query Parameters
Crypto asset code, e.g. USDT or USDC
Fiat currency code, e.g. INR
Blockchain network, for example tron or polygon. See supported_networks in Fetch Configuration.
Payout payment method, valid for the fiat (see Fetch Configuration)
Crypto amount to send. Some fiats are priced by amount: for those, send exactly one of sending_amount or receiving_amount. Other fiats ignore both.
Fiat amount the beneficiary should receive. See sending_amount.
Response
Successful response
true
"Success"
Hide child attributes
Hide child attributes
"USDT"
"INR"
87.2
Network, uppercase.
"TRON"
Banking fee disclosure per payment method. Informational only; it is not applied to rate.
{ "wire": { "type": "banking_fee", "value": 0.9, "unit": "flat" } }